> For the complete documentation index, see [llms.txt](https://docs.fulfillmenttools.com/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fulfillmenttools.com/documentation/apis/api-reference/order-records.md).

# Order Records

Endpoints for managing orders that have already been completed and do not need to participate in the fulfillment lifecycle.

## Get order records configuration

> This part of the API is in Beta status. For details, see the \<a href="<https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview>" target="\_blank">API release lifecycle documentation\</a>.\<br />\<br />Get the current configuration for the order records functionality

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints for managing orders that have already been completed and do not need to participate in the fulfillment lifecycle.","name":"Order records"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"OrderRecordsConfiguration":{"description":"This part of the API is in Alpha status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />Configuration for the order records functionality.","properties":{"created":{"description":"Creation timestamp.","format":"date-time","type":"string"},"id":{"description":"Unique identifier of the order record config.","type":"string"},"isOrderRecordsEnabled":{"default":false,"description":"Flag indicating whether order records functionality is enabled.","type":"boolean"},"lastModified":{"description":"Last modification timestamp.","format":"date-time","type":"string"},"version":{"description":"The version of the configuration to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["id","version","isOrderRecordsEnabled"],"title":"OrderRecordsConfiguration","type":"object"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/configurations/orderrecords":{"get":{"deprecated":false,"description":"This part of the API is in Beta status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />Get the current configuration for the order records functionality","operationId":"getOrderRecordsConfiguration","parameters":[],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderRecordsConfiguration"}}},"description":"The order records configuration"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"}},"summary":"Get order records configuration","tags":["Order records"]}}}}
```

## Create or update order records configuration

> This part of the API is in Beta status. For details, see the \<a href="<https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview>" target="\_blank">API release lifecycle documentation\</a>.\<br />\<br />Create or update the configuration for the order records functionality.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints for managing orders that have already been completed and do not need to participate in the fulfillment lifecycle.","name":"Order records"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"OrderRecordsConfigurationInput":{"properties":{"isOrderRecordsEnabled":{"default":false,"description":"Flag indicating whether order records functionality is enabled.","type":"boolean"},"version":{"description":"Version number for optimistic locking.","format":"int64","type":"integer"}},"required":["version","isOrderRecordsEnabled"],"title":"OrderRecordsConfigurationInput","type":"object","description":"OrderRecordsConfigurationInput"},"OrderRecordsConfiguration":{"description":"This part of the API is in Alpha status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />Configuration for the order records functionality.","properties":{"created":{"description":"Creation timestamp.","format":"date-time","type":"string"},"id":{"description":"Unique identifier of the order record config.","type":"string"},"isOrderRecordsEnabled":{"default":false,"description":"Flag indicating whether order records functionality is enabled.","type":"boolean"},"lastModified":{"description":"Last modification timestamp.","format":"date-time","type":"string"},"version":{"description":"The version of the configuration to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["id","version","isOrderRecordsEnabled"],"title":"OrderRecordsConfiguration","type":"object"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/configurations/orderrecords":{"put":{"deprecated":false,"description":"This part of the API is in Beta status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />Create or update the configuration for the order records functionality.","operationId":"updateOrderRecordsConfiguration","parameters":[],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderRecordsConfigurationInput"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderRecordsConfiguration"}}},"description":"The updated order records configuration"},"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderRecordsConfiguration"}}},"description":"The created order records configuration"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Invalid input. See response for details."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"}},"summary":"Create or update order records configuration","tags":["Order records"]}}}}
```

## List order records

> This part of the API is in Beta status. For details, see the \<a href="<https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview>" target="\_blank">API release lifecycle documentation\</a>.\<br />\<br />List order records with pagination and optional filters

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints for managing orders that have already been completed and do not need to participate in the fulfillment lifecycle.","name":"Order records"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"OrderRecords":{"properties":{"orderRecords":{"description":"Array of order records","items":{"$ref":"#/components/schemas/OrderRecord"},"maxItems":500,"type":"array"},"total":{"description":"Total number of found entities for this query","type":"number"}},"required":["orderRecords","total"],"title":"OrderRecords","type":"object","description":"OrderRecords"},"OrderRecord":{"properties":{"anonymized":{"description":"Whether consumer data has been anonymized","type":"boolean"},"consumer":{"allOf":[{"$ref":"#/components/schemas/OrderRecordConsumer"}],"description":"Consumer information"},"created":{"description":"Creation timestamp","format":"date-time","type":"string"},"customAttributes":{"description":"Attributes that can be added to this entity. These attributes **cannot** be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.","nullable":true,"type":"object"},"deletionDate":{"description":"Date when the record will be deleted","format":"date-time","type":"string"},"facilityRef":{"description":"Reference to the facility","type":"string"},"gdprCleanupDate":{"description":"Date when GDPR cleanup will occur","format":"date-time","type":"string"},"id":{"description":"Unique identifier of the order record","type":"string"},"lastModified":{"description":"Last modification timestamp","format":"date-time","type":"string"},"lineItems":{"description":"Line items of the order record","items":{"$ref":"#/components/schemas/OrderRecordLineItem"},"maxItems":500,"type":"array"},"orderRecordDate":{"description":"Date of the order record","format":"date-time","type":"string"},"origin":{"allOf":[{"$ref":"#/components/schemas/OrderRecordPosOrigin"}],"description":"Origin of the order record","discriminator":{"mapping":{"POS":"#/components/schemas/OrderRecordPosOrigin"},"propertyName":"type"},"oneOf":[{"$ref":"#/components/schemas/OrderRecordPosOrigin"}]},"payments":{"description":"Payment information","items":{"$ref":"#/components/schemas/OrderRecordPayment"},"maxItems":100,"type":"array"},"pricing":{"allOf":[{"$ref":"#/components/schemas/OrderRecordPricing"}],"description":"Pricing information including calculated totals"},"tenantOrderRecordId":{"description":"Tenant-specific order record identifier","type":"string"},"version":{"description":"Version number for optimistic locking","type":"integer"}},"required":["orderRecordDate","facilityRef","lineItems","id","version","created","lastModified","anonymized","gdprCleanupDate","deletionDate"],"title":"OrderRecord","type":"object","description":"OrderRecord"},"OrderRecordConsumer":{"properties":{"addresses":{"description":"Addresses of the consumer","items":{"$ref":"#/components/schemas/OrderRecordAddress"},"maxItems":10,"type":"array"},"consumerId":{"description":"Consumer identifier","type":"string"},"email":{"description":"Email address of the consumer","type":"string"}},"title":"OrderRecordConsumer","type":"object","description":"OrderRecordConsumer"},"OrderRecordAddress":{"properties":{"additionalAddressInfo":{"description":"Additional address information","type":"string"},"city":{"description":"City","type":"string"},"companyName":{"description":"Company name","type":"string"},"country":{"description":"Country","type":"string"},"firstName":{"description":"First name","type":"string"},"houseNumber":{"description":"House number","type":"string"},"lastName":{"description":"Last name","type":"string"},"postalCode":{"description":"Postal code","type":"string"},"province":{"description":"Province or state","type":"string"},"street":{"description":"Street","type":"string"}},"title":"OrderRecordAddress","type":"object","description":"OrderRecordAddress"},"OrderRecordLineItem":{"properties":{"article":{"allOf":[{"$ref":"#/components/schemas/OrderRecordLineItemArticle"}],"description":"Article information"},"customAttributes":{"description":"Attributes that can be added to this entity. These attributes **cannot** be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.","nullable":true,"type":"object"},"id":{"description":"Unique identifier of the line item","type":"string"},"measurementUnitKey":{"description":"Measurement unit key","type":"string"},"quantity":{"description":"Quantity of the line item","type":"number"},"returnPolicy":{"allOf":[{"$ref":"#/components/schemas/OrderRecordLineItemReturnPolicy"}],"description":"Return policy information"},"warranty":{"allOf":[{"$ref":"#/components/schemas/OrderRecordLineItemWarranty"}],"description":"Warranty information"}},"required":["article","quantity","id"],"title":"OrderRecordLineItem","type":"object","description":"OrderRecordLineItem"},"OrderRecordLineItemArticle":{"properties":{"attributes":{"description":"Article attributes","items":{"$ref":"#/components/schemas/OrderRecordArticleAttributeItem"},"maxItems":100,"type":"array"},"tenantArticleId":{"description":"Tenant-specific article identifier","type":"string"},"title":{"description":"Title of the article","type":"string"}},"required":["tenantArticleId","attributes"],"title":"OrderRecordLineItemArticle","type":"object","description":"OrderRecordLineItemArticle"},"OrderRecordArticleAttributeItem":{"properties":{"valueLocalized":{"description":"Localized value of the attribute","type":"object"},"keyLocalized":{"description":"Localized key of the attribute","type":"object"},"category":{"description":"Category of the attribute. Supports both standard article attribute categories and pricing-specific categories.","enum":["descriptive","miscellaneous","pickingSequence","customs","insurance","shop","dimensions","carrierService","salesPrice","basePrice","tax","discount","surcharge","subtotalBeforeDiscounts","subtotalAfterDiscounts","finalUnitPrice","finalLineItemPrice"],"type":"string"},"key":{"description":"The key of the attribute","minLength":1,"type":"string"},"priority":{"description":"Priority of the attribute","type":"integer"},"type":{"description":"The type of the attribute","enum":["STRING","NUMBER","CURRENCY","BOOLEAN"],"type":"string"},"value":{"description":"The value of the attribute","minLength":1,"type":"string"}},"required":["key","value"],"title":"OrderRecordArticleAttributeItem","type":"object","description":"OrderRecordArticleAttributeItem"},"OrderRecordLineItemReturnPolicy":{"properties":{"isReturnable":{"description":"Whether the item is returnable","type":"boolean"},"returnWindowEndDate":{"description":"End date of the return window","format":"date-time","type":"string"}},"title":"OrderRecordLineItemReturnPolicy","type":"object","description":"OrderRecordLineItemReturnPolicy"},"OrderRecordLineItemWarranty":{"properties":{"warrantyPeriod":{"description":"Warranty period (e.g. ISO 8601 duration)","pattern":"^-?P(?:(\\d+W)|(\\d+Y)?(\\d+M)?(\\d+D)?(?:T(\\d+H)?(\\d+M)?(\\d+S)?)?)$","type":"string"},"warrantyStartDate":{"description":"Start date of the warranty","format":"date-time","type":"string"}},"title":"OrderRecordLineItemWarranty","type":"object","description":"OrderRecordLineItemWarranty"},"OrderRecordPosOrigin":{"properties":{"cashierId":{"description":"Cashier identifier","type":"string"},"terminalId":{"description":"Terminal identifier","type":"string"},"type":{"description":"Discriminator for POS origin","enum":["POS"],"type":"string"}},"required":["type"],"title":"OrderRecordPosOrigin","type":"object","description":"OrderRecordPosOrigin"},"OrderRecordPayment":{"properties":{"paymentMethod":{"description":"Payment method identifier","type":"string"},"receiptNumber":{"description":"Receipt number","type":"string"},"status":{"description":"Status of the payment","enum":["COMPLETED","FAILED","CANCELLED","REFUNDED","PARTIALLY_REFUNDED"],"type":"string"},"taxValue":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"Tax portion of the payment value"},"transactionId":{"description":"Transaction identifier","type":"string"},"value":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"Payment value"}},"required":["value"],"title":"OrderRecordPayment","type":"object","description":"OrderRecordPayment"},"OrderRecordMonetaryValue":{"properties":{"currency":{"description":"ISO 4217 currency code","enum":["AED","AFN","ALL","AMD","ANG","AOA","ARS","AUD","AWG","AZN","BAM","BBD","BDT","BGN","BHD","BIF","BMD","BND","BOB","BOV","BRL","BSD","BTN","BWP","BYN","BZD","CAD","CDF","CHE","CHF","CHW","CLF","CLP","CNY","COP","COU","CRC","CUC","CUP","CVE","CZK","DJF","DKK","DOP","DZD","EGP","ERN","ETB","EUR","FJD","FKP","GBP","GEL","GHS","GIP","GMD","GNF","GTQ","GYD","HKD","HNL","HTG","HUF","IDR","ILS","INR","IQD","IRR","ISK","JMD","JOD","JPY","KES","KGS","KHR","KMF","KPW","KRW","KWD","KYD","KZT","LAK","LBP","LKR","LRD","LSL","LYD","MAD","MDL","MGA","MKD","MMK","MNT","MOP","MRU","MUR","MVR","MWK","MXN","MXV","MYR","MZN","NAD","NGN","NIO","NOK","NPR","NZD","OMR","PAB","PEN","PGK","PHP","PKR","PLN","PYG","QAR","RON","RSD","RUB","RWF","SAR","SBD","SCR","SDG","SEK","SGD","SHP","SLE","SOS","SRD","SSP","STN","SVC","SYP","SZL","THB","TJS","TMT","TND","TOP","TRY","TTD","TWD","TZS","UAH","UGX","USD","USN","UYI","UYU","UYW","UZS","VED","VES","VND","VUV","WST","XAF","XAG","XAU","XBA","XBB","XBC","XBD","XCD","XDR","XOF","XPD","XPF","XPT","XSU","XTS","XUA","XXX","YER","ZAR","ZMW","ZWL"],"type":"string"},"decimalPlaces":{"description":"Number of decimal places (defaults to currency standard)","type":"integer"},"value":{"description":"The monetary value as integer","type":"integer"}},"required":["value","currency"],"title":"OrderRecordMonetaryValue","type":"object","description":"OrderRecordMonetaryValue"},"OrderRecordPricing":{"properties":{"discounts":{"description":"Discounts applied to the order","items":{"$ref":"#/components/schemas/OrderRecordDiscount"},"maxItems":100,"type":"array"},"fees":{"description":"Fees applied to the order","items":{"$ref":"#/components/schemas/OrderRecordFee"},"maxItems":100,"type":"array"},"taxes":{"description":"Tax breakdown","items":{"$ref":"#/components/schemas/OrderRecordTax"},"maxItems":100,"type":"array"},"total":{"allOf":[{"$ref":"#/components/schemas/OrderRecordPricingTotal"}],"description":"Calculated totals"}},"title":"OrderRecordPricing","type":"object","description":"OrderRecordPricing"},"OrderRecordDiscount":{"properties":{"nameLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleStringConstrained"}],"description":"Localized name of the discount"},"code":{"description":"Discount code","type":"string"},"context":{"description":"Context of the discount","type":"string"},"name":{"description":"Name of the discount","type":"string"},"percentage":{"description":"Discount percentage (0-100). Required when type is PERCENTAGE.","type":"number"},"tenantDiscountId":{"description":"Tenant-specific discount identifier","type":"string"},"type":{"description":"Discount type","type":"string"},"value":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"Discount value. Required when type is ABSOLUTE."}},"title":"OrderRecordDiscount","type":"object","description":"OrderRecordDiscount"},"LocaleStringConstrained":{"properties":{},"title":"LocaleStringConstrained","type":"object","description":"LocaleStringConstrained"},"OrderRecordFee":{"properties":{"name":{"description":"Name of the fee","type":"string"},"value":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"Fee value"}},"title":"OrderRecordFee","type":"object","description":"OrderRecordFee"},"OrderRecordTax":{"properties":{"ratePercent":{"description":"Tax rate as a percentage","format":"float","type":"number"},"scope":{"description":"Tax scope","type":"string"},"taxableValue":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"The taxable base value"},"type":{"description":"Tax type identifier","type":"string"},"value":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"Tax value"}},"required":["value"],"title":"OrderRecordTax","type":"object","description":"OrderRecordTax"},"OrderRecordPricingTotal":{"properties":{"priceBreakdown":{"allOf":[{"$ref":"#/components/schemas/OrderRecordTotals"}],"description":"Calculated price breakdown"}},"title":"OrderRecordPricingTotal","type":"object","description":"OrderRecordPricingTotal"},"OrderRecordTotals":{"properties":{"subTotal":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"Subtotal before discounts, taxes, and fees","nullable":true,"type":"object"},"total":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"Grand total","nullable":true,"type":"object"},"totalDiscounts":{"allOf":[{"$ref":"#/components/schemas/OrderRecordTotalDiscounts"}],"description":"Total discounts applied, with breakdown by source","nullable":true,"type":"object"},"totalFees":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"Total fees","nullable":true,"type":"object"},"totalLineItemSurcharges":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"Total line item surcharges applied","nullable":true,"type":"object"},"totalTaxes":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"Total taxes","nullable":true,"type":"object"}},"required":["subTotal","totalDiscounts","totalLineItemSurcharges","totalTaxes","totalFees","total"],"title":"OrderRecordTotals","type":"object","description":"OrderRecordTotals"},"OrderRecordTotalDiscounts":{"properties":{"breakdown":{"allOf":[{"$ref":"#/components/schemas/OrderRecordDiscountBreakdown"}],"description":"Total discounts broken down by source"},"value":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"Aggregate total discounts applied","nullable":true,"type":"object"}},"required":["value","breakdown"],"title":"OrderRecordTotalDiscounts","type":"object","description":"OrderRecordTotalDiscounts"},"OrderRecordDiscountBreakdown":{"properties":{"lineItemDiscounts":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"Discounts originating from line items","nullable":true,"type":"object"},"orderDiscounts":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"Discounts applied at order level","nullable":true,"type":"object"}},"required":["lineItemDiscounts","orderDiscounts"],"title":"OrderRecordDiscountBreakdown","type":"object","description":"OrderRecordDiscountBreakdown"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/orderrecords":{"get":{"deprecated":false,"description":"This part of the API is in Beta status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />List order records with pagination and optional filters","operationId":"listOrderRecords","parameters":[{"in":"query","name":"startAfterId","required":false,"schema":{"type":"string"}},{"in":"query","name":"size","required":false,"schema":{"maximum":500,"type":"number"}},{"in":"query","name":"facilityRef","required":false,"schema":{"type":"string"}},{"in":"query","name":"tenantOrderRecordId","required":false,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderRecords"}}},"description":"The order records that were found based on the given filters."},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Invalid input. See response for details."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"}},"summary":"List order records","tags":["Order records"]}}}}
```

## Bulk create order records

> This part of the API is in Beta status. For details, see the \<a href="<https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview>" target="\_blank">API release lifecycle documentation\</a>.\<br />\<br />Create multiple order records in a single request (max 25)

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints for managing orders that have already been completed and do not need to participate in the fulfillment lifecycle.","name":"Order records"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"OrderRecordBulkOperations":{"properties":{"operations":{"description":"Array of order record creation operations","items":{"$ref":"#/components/schemas/OrderRecordForCreation"},"maxItems":25,"minItems":1,"type":"array"}},"required":["operations"],"title":"OrderRecordBulkOperations","type":"object","description":"OrderRecordBulkOperations"},"OrderRecordForCreation":{"properties":{"consumer":{"allOf":[{"$ref":"#/components/schemas/OrderRecordConsumer"}],"description":"Consumer information"},"customAttributes":{"description":"Attributes that can be added to this entity. These attributes **cannot** be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.","nullable":true,"type":"object"},"facilityRef":{"description":"Reference to the facility","type":"string"},"lineItems":{"description":"Line items of the order record","items":{"$ref":"#/components/schemas/OrderRecordLineItemForCreation"},"maxItems":500,"type":"array"},"orderRecordDate":{"description":"Date of the order record","format":"date-time","type":"string"},"origin":{"allOf":[{"$ref":"#/components/schemas/OrderRecordPosOrigin"}],"description":"Origin of the order record","discriminator":{"mapping":{"POS":"#/components/schemas/OrderRecordPosOrigin"},"propertyName":"type"},"oneOf":[{"$ref":"#/components/schemas/OrderRecordPosOrigin"}]},"payments":{"description":"Payment information","items":{"$ref":"#/components/schemas/OrderRecordPayment"},"maxItems":100,"type":"array"},"pricing":{"allOf":[{"$ref":"#/components/schemas/OrderRecordPricingForCreation"}],"description":"Pricing information for the order record"},"tenantOrderRecordId":{"description":"Tenant-specific order record identifier","type":"string"}},"required":["orderRecordDate","facilityRef","lineItems"],"title":"OrderRecordForCreation","type":"object","description":"OrderRecordForCreation"},"OrderRecordConsumer":{"properties":{"addresses":{"description":"Addresses of the consumer","items":{"$ref":"#/components/schemas/OrderRecordAddress"},"maxItems":10,"type":"array"},"consumerId":{"description":"Consumer identifier","type":"string"},"email":{"description":"Email address of the consumer","type":"string"}},"title":"OrderRecordConsumer","type":"object","description":"OrderRecordConsumer"},"OrderRecordAddress":{"properties":{"additionalAddressInfo":{"description":"Additional address information","type":"string"},"city":{"description":"City","type":"string"},"companyName":{"description":"Company name","type":"string"},"country":{"description":"Country","type":"string"},"firstName":{"description":"First name","type":"string"},"houseNumber":{"description":"House number","type":"string"},"lastName":{"description":"Last name","type":"string"},"postalCode":{"description":"Postal code","type":"string"},"province":{"description":"Province or state","type":"string"},"street":{"description":"Street","type":"string"}},"title":"OrderRecordAddress","type":"object","description":"OrderRecordAddress"},"OrderRecordLineItemForCreation":{"properties":{"article":{"allOf":[{"$ref":"#/components/schemas/OrderRecordLineItemArticle"}],"description":"Article information"},"customAttributes":{"description":"Attributes that can be added to this entity. These attributes **cannot** be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.","nullable":true,"type":"object"},"measurementUnitKey":{"description":"Measurement unit key","type":"string"},"quantity":{"description":"Quantity of the line item","type":"number"},"returnPolicy":{"allOf":[{"$ref":"#/components/schemas/OrderRecordLineItemReturnPolicy"}],"description":"Return policy information"},"warranty":{"allOf":[{"$ref":"#/components/schemas/OrderRecordLineItemWarranty"}],"description":"Warranty information"}},"required":["article","quantity"],"title":"OrderRecordLineItemForCreation","type":"object","description":"OrderRecordLineItemForCreation"},"OrderRecordLineItemArticle":{"properties":{"attributes":{"description":"Article attributes","items":{"$ref":"#/components/schemas/OrderRecordArticleAttributeItem"},"maxItems":100,"type":"array"},"tenantArticleId":{"description":"Tenant-specific article identifier","type":"string"},"title":{"description":"Title of the article","type":"string"}},"required":["tenantArticleId","attributes"],"title":"OrderRecordLineItemArticle","type":"object","description":"OrderRecordLineItemArticle"},"OrderRecordArticleAttributeItem":{"properties":{"valueLocalized":{"description":"Localized value of the attribute","type":"object"},"keyLocalized":{"description":"Localized key of the attribute","type":"object"},"category":{"description":"Category of the attribute. Supports both standard article attribute categories and pricing-specific categories.","enum":["descriptive","miscellaneous","pickingSequence","customs","insurance","shop","dimensions","carrierService","salesPrice","basePrice","tax","discount","surcharge","subtotalBeforeDiscounts","subtotalAfterDiscounts","finalUnitPrice","finalLineItemPrice"],"type":"string"},"key":{"description":"The key of the attribute","minLength":1,"type":"string"},"priority":{"description":"Priority of the attribute","type":"integer"},"type":{"description":"The type of the attribute","enum":["STRING","NUMBER","CURRENCY","BOOLEAN"],"type":"string"},"value":{"description":"The value of the attribute","minLength":1,"type":"string"}},"required":["key","value"],"title":"OrderRecordArticleAttributeItem","type":"object","description":"OrderRecordArticleAttributeItem"},"OrderRecordLineItemReturnPolicy":{"properties":{"isReturnable":{"description":"Whether the item is returnable","type":"boolean"},"returnWindowEndDate":{"description":"End date of the return window","format":"date-time","type":"string"}},"title":"OrderRecordLineItemReturnPolicy","type":"object","description":"OrderRecordLineItemReturnPolicy"},"OrderRecordLineItemWarranty":{"properties":{"warrantyPeriod":{"description":"Warranty period (e.g. ISO 8601 duration)","pattern":"^-?P(?:(\\d+W)|(\\d+Y)?(\\d+M)?(\\d+D)?(?:T(\\d+H)?(\\d+M)?(\\d+S)?)?)$","type":"string"},"warrantyStartDate":{"description":"Start date of the warranty","format":"date-time","type":"string"}},"title":"OrderRecordLineItemWarranty","type":"object","description":"OrderRecordLineItemWarranty"},"OrderRecordPosOrigin":{"properties":{"cashierId":{"description":"Cashier identifier","type":"string"},"terminalId":{"description":"Terminal identifier","type":"string"},"type":{"description":"Discriminator for POS origin","enum":["POS"],"type":"string"}},"required":["type"],"title":"OrderRecordPosOrigin","type":"object","description":"OrderRecordPosOrigin"},"OrderRecordPayment":{"properties":{"paymentMethod":{"description":"Payment method identifier","type":"string"},"receiptNumber":{"description":"Receipt number","type":"string"},"status":{"description":"Status of the payment","enum":["COMPLETED","FAILED","CANCELLED","REFUNDED","PARTIALLY_REFUNDED"],"type":"string"},"taxValue":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"Tax portion of the payment value"},"transactionId":{"description":"Transaction identifier","type":"string"},"value":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"Payment value"}},"required":["value"],"title":"OrderRecordPayment","type":"object","description":"OrderRecordPayment"},"OrderRecordMonetaryValue":{"properties":{"currency":{"description":"ISO 4217 currency code","enum":["AED","AFN","ALL","AMD","ANG","AOA","ARS","AUD","AWG","AZN","BAM","BBD","BDT","BGN","BHD","BIF","BMD","BND","BOB","BOV","BRL","BSD","BTN","BWP","BYN","BZD","CAD","CDF","CHE","CHF","CHW","CLF","CLP","CNY","COP","COU","CRC","CUC","CUP","CVE","CZK","DJF","DKK","DOP","DZD","EGP","ERN","ETB","EUR","FJD","FKP","GBP","GEL","GHS","GIP","GMD","GNF","GTQ","GYD","HKD","HNL","HTG","HUF","IDR","ILS","INR","IQD","IRR","ISK","JMD","JOD","JPY","KES","KGS","KHR","KMF","KPW","KRW","KWD","KYD","KZT","LAK","LBP","LKR","LRD","LSL","LYD","MAD","MDL","MGA","MKD","MMK","MNT","MOP","MRU","MUR","MVR","MWK","MXN","MXV","MYR","MZN","NAD","NGN","NIO","NOK","NPR","NZD","OMR","PAB","PEN","PGK","PHP","PKR","PLN","PYG","QAR","RON","RSD","RUB","RWF","SAR","SBD","SCR","SDG","SEK","SGD","SHP","SLE","SOS","SRD","SSP","STN","SVC","SYP","SZL","THB","TJS","TMT","TND","TOP","TRY","TTD","TWD","TZS","UAH","UGX","USD","USN","UYI","UYU","UYW","UZS","VED","VES","VND","VUV","WST","XAF","XAG","XAU","XBA","XBB","XBC","XBD","XCD","XDR","XOF","XPD","XPF","XPT","XSU","XTS","XUA","XXX","YER","ZAR","ZMW","ZWL"],"type":"string"},"decimalPlaces":{"description":"Number of decimal places (defaults to currency standard)","type":"integer"},"value":{"description":"The monetary value as integer","type":"integer"}},"required":["value","currency"],"title":"OrderRecordMonetaryValue","type":"object","description":"OrderRecordMonetaryValue"},"OrderRecordPricingForCreation":{"properties":{"discounts":{"description":"Discounts applied to the order","items":{"$ref":"#/components/schemas/OrderRecordDiscount"},"maxItems":100,"type":"array"},"fees":{"description":"Fees applied to the order","items":{"$ref":"#/components/schemas/OrderRecordFee"},"maxItems":100,"type":"array"},"taxes":{"description":"Tax breakdown","items":{"$ref":"#/components/schemas/OrderRecordTax"},"maxItems":100,"type":"array"}},"title":"OrderRecordPricingForCreation","type":"object","description":"OrderRecordPricingForCreation"},"OrderRecordDiscount":{"properties":{"nameLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleStringConstrained"}],"description":"Localized name of the discount"},"code":{"description":"Discount code","type":"string"},"context":{"description":"Context of the discount","type":"string"},"name":{"description":"Name of the discount","type":"string"},"percentage":{"description":"Discount percentage (0-100). Required when type is PERCENTAGE.","type":"number"},"tenantDiscountId":{"description":"Tenant-specific discount identifier","type":"string"},"type":{"description":"Discount type","type":"string"},"value":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"Discount value. Required when type is ABSOLUTE."}},"title":"OrderRecordDiscount","type":"object","description":"OrderRecordDiscount"},"LocaleStringConstrained":{"properties":{},"title":"LocaleStringConstrained","type":"object","description":"LocaleStringConstrained"},"OrderRecordFee":{"properties":{"name":{"description":"Name of the fee","type":"string"},"value":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"Fee value"}},"title":"OrderRecordFee","type":"object","description":"OrderRecordFee"},"OrderRecordTax":{"properties":{"ratePercent":{"description":"Tax rate as a percentage","format":"float","type":"number"},"scope":{"description":"Tax scope","type":"string"},"taxableValue":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"The taxable base value"},"type":{"description":"Tax type identifier","type":"string"},"value":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"Tax value"}},"required":["value"],"title":"OrderRecordTax","type":"object","description":"OrderRecordTax"},"OrderRecordBulkOperationsResponse":{"properties":{"details":{"description":"Per-item results of the bulk operation","items":{"$ref":"#/components/schemas/OrderRecordBulkOperationResult"},"maxItems":25,"type":"array"},"summary":{"allOf":[{"$ref":"#/components/schemas/OrderRecordBulkOperationsSummary"}],"description":"Summary of the bulk operation"}},"required":["summary","details"],"title":"OrderRecordBulkOperationsResponse","type":"object","description":"OrderRecordBulkOperationsResponse"},"OrderRecordBulkOperationResult":{"properties":{"error":{"allOf":[{"$ref":"#/components/schemas/OrderRecordBulkOperationError"}],"description":"Error details if the operation failed"},"orderRecord":{"allOf":[{"$ref":"#/components/schemas/OrderRecord"}],"description":"The created order record"},"status":{"description":"Status of the bulk operation","enum":["CREATED","FAILED","UNCHANGED"],"type":"string"}},"required":["status"],"title":"OrderRecordBulkOperationResult","type":"object","description":"OrderRecordBulkOperationResult"},"OrderRecordBulkOperationError":{"properties":{"message":{"description":"Error message","type":"string"},"type":{"description":"Error type","enum":["VALIDATION","UNKNOWN"],"type":"string"}},"required":["type","message"],"title":"OrderRecordBulkOperationError","type":"object","description":"OrderRecordBulkOperationError"},"OrderRecord":{"properties":{"anonymized":{"description":"Whether consumer data has been anonymized","type":"boolean"},"consumer":{"allOf":[{"$ref":"#/components/schemas/OrderRecordConsumer"}],"description":"Consumer information"},"created":{"description":"Creation timestamp","format":"date-time","type":"string"},"customAttributes":{"description":"Attributes that can be added to this entity. These attributes **cannot** be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.","nullable":true,"type":"object"},"deletionDate":{"description":"Date when the record will be deleted","format":"date-time","type":"string"},"facilityRef":{"description":"Reference to the facility","type":"string"},"gdprCleanupDate":{"description":"Date when GDPR cleanup will occur","format":"date-time","type":"string"},"id":{"description":"Unique identifier of the order record","type":"string"},"lastModified":{"description":"Last modification timestamp","format":"date-time","type":"string"},"lineItems":{"description":"Line items of the order record","items":{"$ref":"#/components/schemas/OrderRecordLineItem"},"maxItems":500,"type":"array"},"orderRecordDate":{"description":"Date of the order record","format":"date-time","type":"string"},"origin":{"allOf":[{"$ref":"#/components/schemas/OrderRecordPosOrigin"}],"description":"Origin of the order record","discriminator":{"mapping":{"POS":"#/components/schemas/OrderRecordPosOrigin"},"propertyName":"type"},"oneOf":[{"$ref":"#/components/schemas/OrderRecordPosOrigin"}]},"payments":{"description":"Payment information","items":{"$ref":"#/components/schemas/OrderRecordPayment"},"maxItems":100,"type":"array"},"pricing":{"allOf":[{"$ref":"#/components/schemas/OrderRecordPricing"}],"description":"Pricing information including calculated totals"},"tenantOrderRecordId":{"description":"Tenant-specific order record identifier","type":"string"},"version":{"description":"Version number for optimistic locking","type":"integer"}},"required":["orderRecordDate","facilityRef","lineItems","id","version","created","lastModified","anonymized","gdprCleanupDate","deletionDate"],"title":"OrderRecord","type":"object","description":"OrderRecord"},"OrderRecordLineItem":{"properties":{"article":{"allOf":[{"$ref":"#/components/schemas/OrderRecordLineItemArticle"}],"description":"Article information"},"customAttributes":{"description":"Attributes that can be added to this entity. These attributes **cannot** be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.","nullable":true,"type":"object"},"id":{"description":"Unique identifier of the line item","type":"string"},"measurementUnitKey":{"description":"Measurement unit key","type":"string"},"quantity":{"description":"Quantity of the line item","type":"number"},"returnPolicy":{"allOf":[{"$ref":"#/components/schemas/OrderRecordLineItemReturnPolicy"}],"description":"Return policy information"},"warranty":{"allOf":[{"$ref":"#/components/schemas/OrderRecordLineItemWarranty"}],"description":"Warranty information"}},"required":["article","quantity","id"],"title":"OrderRecordLineItem","type":"object","description":"OrderRecordLineItem"},"OrderRecordPricing":{"properties":{"discounts":{"description":"Discounts applied to the order","items":{"$ref":"#/components/schemas/OrderRecordDiscount"},"maxItems":100,"type":"array"},"fees":{"description":"Fees applied to the order","items":{"$ref":"#/components/schemas/OrderRecordFee"},"maxItems":100,"type":"array"},"taxes":{"description":"Tax breakdown","items":{"$ref":"#/components/schemas/OrderRecordTax"},"maxItems":100,"type":"array"},"total":{"allOf":[{"$ref":"#/components/schemas/OrderRecordPricingTotal"}],"description":"Calculated totals"}},"title":"OrderRecordPricing","type":"object","description":"OrderRecordPricing"},"OrderRecordPricingTotal":{"properties":{"priceBreakdown":{"allOf":[{"$ref":"#/components/schemas/OrderRecordTotals"}],"description":"Calculated price breakdown"}},"title":"OrderRecordPricingTotal","type":"object","description":"OrderRecordPricingTotal"},"OrderRecordTotals":{"properties":{"subTotal":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"Subtotal before discounts, taxes, and fees","nullable":true,"type":"object"},"total":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"Grand total","nullable":true,"type":"object"},"totalDiscounts":{"allOf":[{"$ref":"#/components/schemas/OrderRecordTotalDiscounts"}],"description":"Total discounts applied, with breakdown by source","nullable":true,"type":"object"},"totalFees":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"Total fees","nullable":true,"type":"object"},"totalLineItemSurcharges":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"Total line item surcharges applied","nullable":true,"type":"object"},"totalTaxes":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"Total taxes","nullable":true,"type":"object"}},"required":["subTotal","totalDiscounts","totalLineItemSurcharges","totalTaxes","totalFees","total"],"title":"OrderRecordTotals","type":"object","description":"OrderRecordTotals"},"OrderRecordTotalDiscounts":{"properties":{"breakdown":{"allOf":[{"$ref":"#/components/schemas/OrderRecordDiscountBreakdown"}],"description":"Total discounts broken down by source"},"value":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"Aggregate total discounts applied","nullable":true,"type":"object"}},"required":["value","breakdown"],"title":"OrderRecordTotalDiscounts","type":"object","description":"OrderRecordTotalDiscounts"},"OrderRecordDiscountBreakdown":{"properties":{"lineItemDiscounts":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"Discounts originating from line items","nullable":true,"type":"object"},"orderDiscounts":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"Discounts applied at order level","nullable":true,"type":"object"}},"required":["lineItemDiscounts","orderDiscounts"],"title":"OrderRecordDiscountBreakdown","type":"object","description":"OrderRecordDiscountBreakdown"},"OrderRecordBulkOperationsSummary":{"properties":{"created":{"description":"Number of order records created","type":"integer"},"unchanged":{"description":"Number of order records unchanged","type":"integer"},"updated":{"description":"Number of order records updated","type":"integer"}},"required":["created","updated","unchanged"],"title":"OrderRecordBulkOperationsSummary","type":"object","description":"OrderRecordBulkOperationsSummary"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/orderrecords":{"put":{"deprecated":false,"description":"This part of the API is in Beta status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />Create multiple order records in a single request (max 25)","operationId":"bulkCreateOrderRecords","parameters":[],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderRecordBulkOperations"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderRecordBulkOperationsResponse"}}},"description":"The order records have been successfully created."},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Invalid input. See response for details."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"The requested entity was not found"}},"summary":"Bulk create order records","tags":["Order records"]}}}}
```

## Get an order record

> This part of the API is in Beta status. For details, see the \<a href="<https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview>" target="\_blank">API release lifecycle documentation\</a>.\<br />\<br />Get a single order record by id

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints for managing orders that have already been completed and do not need to participate in the fulfillment lifecycle.","name":"Order records"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"OrderRecord":{"properties":{"anonymized":{"description":"Whether consumer data has been anonymized","type":"boolean"},"consumer":{"allOf":[{"$ref":"#/components/schemas/OrderRecordConsumer"}],"description":"Consumer information"},"created":{"description":"Creation timestamp","format":"date-time","type":"string"},"customAttributes":{"description":"Attributes that can be added to this entity. These attributes **cannot** be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.","nullable":true,"type":"object"},"deletionDate":{"description":"Date when the record will be deleted","format":"date-time","type":"string"},"facilityRef":{"description":"Reference to the facility","type":"string"},"gdprCleanupDate":{"description":"Date when GDPR cleanup will occur","format":"date-time","type":"string"},"id":{"description":"Unique identifier of the order record","type":"string"},"lastModified":{"description":"Last modification timestamp","format":"date-time","type":"string"},"lineItems":{"description":"Line items of the order record","items":{"$ref":"#/components/schemas/OrderRecordLineItem"},"maxItems":500,"type":"array"},"orderRecordDate":{"description":"Date of the order record","format":"date-time","type":"string"},"origin":{"allOf":[{"$ref":"#/components/schemas/OrderRecordPosOrigin"}],"description":"Origin of the order record","discriminator":{"mapping":{"POS":"#/components/schemas/OrderRecordPosOrigin"},"propertyName":"type"},"oneOf":[{"$ref":"#/components/schemas/OrderRecordPosOrigin"}]},"payments":{"description":"Payment information","items":{"$ref":"#/components/schemas/OrderRecordPayment"},"maxItems":100,"type":"array"},"pricing":{"allOf":[{"$ref":"#/components/schemas/OrderRecordPricing"}],"description":"Pricing information including calculated totals"},"tenantOrderRecordId":{"description":"Tenant-specific order record identifier","type":"string"},"version":{"description":"Version number for optimistic locking","type":"integer"}},"required":["orderRecordDate","facilityRef","lineItems","id","version","created","lastModified","anonymized","gdprCleanupDate","deletionDate"],"title":"OrderRecord","type":"object","description":"OrderRecord"},"OrderRecordConsumer":{"properties":{"addresses":{"description":"Addresses of the consumer","items":{"$ref":"#/components/schemas/OrderRecordAddress"},"maxItems":10,"type":"array"},"consumerId":{"description":"Consumer identifier","type":"string"},"email":{"description":"Email address of the consumer","type":"string"}},"title":"OrderRecordConsumer","type":"object","description":"OrderRecordConsumer"},"OrderRecordAddress":{"properties":{"additionalAddressInfo":{"description":"Additional address information","type":"string"},"city":{"description":"City","type":"string"},"companyName":{"description":"Company name","type":"string"},"country":{"description":"Country","type":"string"},"firstName":{"description":"First name","type":"string"},"houseNumber":{"description":"House number","type":"string"},"lastName":{"description":"Last name","type":"string"},"postalCode":{"description":"Postal code","type":"string"},"province":{"description":"Province or state","type":"string"},"street":{"description":"Street","type":"string"}},"title":"OrderRecordAddress","type":"object","description":"OrderRecordAddress"},"OrderRecordLineItem":{"properties":{"article":{"allOf":[{"$ref":"#/components/schemas/OrderRecordLineItemArticle"}],"description":"Article information"},"customAttributes":{"description":"Attributes that can be added to this entity. These attributes **cannot** be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.","nullable":true,"type":"object"},"id":{"description":"Unique identifier of the line item","type":"string"},"measurementUnitKey":{"description":"Measurement unit key","type":"string"},"quantity":{"description":"Quantity of the line item","type":"number"},"returnPolicy":{"allOf":[{"$ref":"#/components/schemas/OrderRecordLineItemReturnPolicy"}],"description":"Return policy information"},"warranty":{"allOf":[{"$ref":"#/components/schemas/OrderRecordLineItemWarranty"}],"description":"Warranty information"}},"required":["article","quantity","id"],"title":"OrderRecordLineItem","type":"object","description":"OrderRecordLineItem"},"OrderRecordLineItemArticle":{"properties":{"attributes":{"description":"Article attributes","items":{"$ref":"#/components/schemas/OrderRecordArticleAttributeItem"},"maxItems":100,"type":"array"},"tenantArticleId":{"description":"Tenant-specific article identifier","type":"string"},"title":{"description":"Title of the article","type":"string"}},"required":["tenantArticleId","attributes"],"title":"OrderRecordLineItemArticle","type":"object","description":"OrderRecordLineItemArticle"},"OrderRecordArticleAttributeItem":{"properties":{"valueLocalized":{"description":"Localized value of the attribute","type":"object"},"keyLocalized":{"description":"Localized key of the attribute","type":"object"},"category":{"description":"Category of the attribute. Supports both standard article attribute categories and pricing-specific categories.","enum":["descriptive","miscellaneous","pickingSequence","customs","insurance","shop","dimensions","carrierService","salesPrice","basePrice","tax","discount","surcharge","subtotalBeforeDiscounts","subtotalAfterDiscounts","finalUnitPrice","finalLineItemPrice"],"type":"string"},"key":{"description":"The key of the attribute","minLength":1,"type":"string"},"priority":{"description":"Priority of the attribute","type":"integer"},"type":{"description":"The type of the attribute","enum":["STRING","NUMBER","CURRENCY","BOOLEAN"],"type":"string"},"value":{"description":"The value of the attribute","minLength":1,"type":"string"}},"required":["key","value"],"title":"OrderRecordArticleAttributeItem","type":"object","description":"OrderRecordArticleAttributeItem"},"OrderRecordLineItemReturnPolicy":{"properties":{"isReturnable":{"description":"Whether the item is returnable","type":"boolean"},"returnWindowEndDate":{"description":"End date of the return window","format":"date-time","type":"string"}},"title":"OrderRecordLineItemReturnPolicy","type":"object","description":"OrderRecordLineItemReturnPolicy"},"OrderRecordLineItemWarranty":{"properties":{"warrantyPeriod":{"description":"Warranty period (e.g. ISO 8601 duration)","pattern":"^-?P(?:(\\d+W)|(\\d+Y)?(\\d+M)?(\\d+D)?(?:T(\\d+H)?(\\d+M)?(\\d+S)?)?)$","type":"string"},"warrantyStartDate":{"description":"Start date of the warranty","format":"date-time","type":"string"}},"title":"OrderRecordLineItemWarranty","type":"object","description":"OrderRecordLineItemWarranty"},"OrderRecordPosOrigin":{"properties":{"cashierId":{"description":"Cashier identifier","type":"string"},"terminalId":{"description":"Terminal identifier","type":"string"},"type":{"description":"Discriminator for POS origin","enum":["POS"],"type":"string"}},"required":["type"],"title":"OrderRecordPosOrigin","type":"object","description":"OrderRecordPosOrigin"},"OrderRecordPayment":{"properties":{"paymentMethod":{"description":"Payment method identifier","type":"string"},"receiptNumber":{"description":"Receipt number","type":"string"},"status":{"description":"Status of the payment","enum":["COMPLETED","FAILED","CANCELLED","REFUNDED","PARTIALLY_REFUNDED"],"type":"string"},"taxValue":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"Tax portion of the payment value"},"transactionId":{"description":"Transaction identifier","type":"string"},"value":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"Payment value"}},"required":["value"],"title":"OrderRecordPayment","type":"object","description":"OrderRecordPayment"},"OrderRecordMonetaryValue":{"properties":{"currency":{"description":"ISO 4217 currency code","enum":["AED","AFN","ALL","AMD","ANG","AOA","ARS","AUD","AWG","AZN","BAM","BBD","BDT","BGN","BHD","BIF","BMD","BND","BOB","BOV","BRL","BSD","BTN","BWP","BYN","BZD","CAD","CDF","CHE","CHF","CHW","CLF","CLP","CNY","COP","COU","CRC","CUC","CUP","CVE","CZK","DJF","DKK","DOP","DZD","EGP","ERN","ETB","EUR","FJD","FKP","GBP","GEL","GHS","GIP","GMD","GNF","GTQ","GYD","HKD","HNL","HTG","HUF","IDR","ILS","INR","IQD","IRR","ISK","JMD","JOD","JPY","KES","KGS","KHR","KMF","KPW","KRW","KWD","KYD","KZT","LAK","LBP","LKR","LRD","LSL","LYD","MAD","MDL","MGA","MKD","MMK","MNT","MOP","MRU","MUR","MVR","MWK","MXN","MXV","MYR","MZN","NAD","NGN","NIO","NOK","NPR","NZD","OMR","PAB","PEN","PGK","PHP","PKR","PLN","PYG","QAR","RON","RSD","RUB","RWF","SAR","SBD","SCR","SDG","SEK","SGD","SHP","SLE","SOS","SRD","SSP","STN","SVC","SYP","SZL","THB","TJS","TMT","TND","TOP","TRY","TTD","TWD","TZS","UAH","UGX","USD","USN","UYI","UYU","UYW","UZS","VED","VES","VND","VUV","WST","XAF","XAG","XAU","XBA","XBB","XBC","XBD","XCD","XDR","XOF","XPD","XPF","XPT","XSU","XTS","XUA","XXX","YER","ZAR","ZMW","ZWL"],"type":"string"},"decimalPlaces":{"description":"Number of decimal places (defaults to currency standard)","type":"integer"},"value":{"description":"The monetary value as integer","type":"integer"}},"required":["value","currency"],"title":"OrderRecordMonetaryValue","type":"object","description":"OrderRecordMonetaryValue"},"OrderRecordPricing":{"properties":{"discounts":{"description":"Discounts applied to the order","items":{"$ref":"#/components/schemas/OrderRecordDiscount"},"maxItems":100,"type":"array"},"fees":{"description":"Fees applied to the order","items":{"$ref":"#/components/schemas/OrderRecordFee"},"maxItems":100,"type":"array"},"taxes":{"description":"Tax breakdown","items":{"$ref":"#/components/schemas/OrderRecordTax"},"maxItems":100,"type":"array"},"total":{"allOf":[{"$ref":"#/components/schemas/OrderRecordPricingTotal"}],"description":"Calculated totals"}},"title":"OrderRecordPricing","type":"object","description":"OrderRecordPricing"},"OrderRecordDiscount":{"properties":{"nameLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleStringConstrained"}],"description":"Localized name of the discount"},"code":{"description":"Discount code","type":"string"},"context":{"description":"Context of the discount","type":"string"},"name":{"description":"Name of the discount","type":"string"},"percentage":{"description":"Discount percentage (0-100). Required when type is PERCENTAGE.","type":"number"},"tenantDiscountId":{"description":"Tenant-specific discount identifier","type":"string"},"type":{"description":"Discount type","type":"string"},"value":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"Discount value. Required when type is ABSOLUTE."}},"title":"OrderRecordDiscount","type":"object","description":"OrderRecordDiscount"},"LocaleStringConstrained":{"properties":{},"title":"LocaleStringConstrained","type":"object","description":"LocaleStringConstrained"},"OrderRecordFee":{"properties":{"name":{"description":"Name of the fee","type":"string"},"value":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"Fee value"}},"title":"OrderRecordFee","type":"object","description":"OrderRecordFee"},"OrderRecordTax":{"properties":{"ratePercent":{"description":"Tax rate as a percentage","format":"float","type":"number"},"scope":{"description":"Tax scope","type":"string"},"taxableValue":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"The taxable base value"},"type":{"description":"Tax type identifier","type":"string"},"value":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"Tax value"}},"required":["value"],"title":"OrderRecordTax","type":"object","description":"OrderRecordTax"},"OrderRecordPricingTotal":{"properties":{"priceBreakdown":{"allOf":[{"$ref":"#/components/schemas/OrderRecordTotals"}],"description":"Calculated price breakdown"}},"title":"OrderRecordPricingTotal","type":"object","description":"OrderRecordPricingTotal"},"OrderRecordTotals":{"properties":{"subTotal":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"Subtotal before discounts, taxes, and fees","nullable":true,"type":"object"},"total":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"Grand total","nullable":true,"type":"object"},"totalDiscounts":{"allOf":[{"$ref":"#/components/schemas/OrderRecordTotalDiscounts"}],"description":"Total discounts applied, with breakdown by source","nullable":true,"type":"object"},"totalFees":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"Total fees","nullable":true,"type":"object"},"totalLineItemSurcharges":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"Total line item surcharges applied","nullable":true,"type":"object"},"totalTaxes":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"Total taxes","nullable":true,"type":"object"}},"required":["subTotal","totalDiscounts","totalLineItemSurcharges","totalTaxes","totalFees","total"],"title":"OrderRecordTotals","type":"object","description":"OrderRecordTotals"},"OrderRecordTotalDiscounts":{"properties":{"breakdown":{"allOf":[{"$ref":"#/components/schemas/OrderRecordDiscountBreakdown"}],"description":"Total discounts broken down by source"},"value":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"Aggregate total discounts applied","nullable":true,"type":"object"}},"required":["value","breakdown"],"title":"OrderRecordTotalDiscounts","type":"object","description":"OrderRecordTotalDiscounts"},"OrderRecordDiscountBreakdown":{"properties":{"lineItemDiscounts":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"Discounts originating from line items","nullable":true,"type":"object"},"orderDiscounts":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"Discounts applied at order level","nullable":true,"type":"object"}},"required":["lineItemDiscounts","orderDiscounts"],"title":"OrderRecordDiscountBreakdown","type":"object","description":"OrderRecordDiscountBreakdown"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/orderrecords/{orderRecordId}":{"get":{"deprecated":false,"description":"This part of the API is in Beta status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />Get a single order record by id","operationId":"getOrderRecord","parameters":[{"in":"path","name":"orderRecordId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderRecord"}}},"description":"The order record was found."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"The requested entity was not found"}},"summary":"Get an order record","tags":["Order records"]}}}}
```

## List order records (search)

> This part of the API is in Beta status. For details, see the \<a href="<https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview>" target="\_blank">API release lifecycle documentation\</a>.\<br />\<br />Search for OrderRecord

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints for managing orders that have already been completed and do not need to participate in the fulfillment lifecycle.","name":"Order records"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"OrderRecordSearchPayload":{"properties":{"after":{"deprecated":false,"description":"The cursor to start after for forward pagination. The value is provided in the `pageInfo.endCursor` field of the response. Cannot be used with `before` or `last`.","type":"string"},"before":{"description":"The cursor to start before for backward pagination. The value is provided in the `pageInfo.startCursor` field of the response. Cannot be used with `after` or `size` (first).","type":"string"},"last":{"description":"Number of items to return for backward pagination. Cannot be used with 'size' (first). Default: 20.","maximum":250,"minimum":1,"type":"number"},"options":{"$ref":"#/components/schemas/SearchOptions"},"query":{"$ref":"#/components/schemas/OrderRecordSearchQuery"},"size":{"description":"Number of items to return for forward pagination. Cannot be used with 'last'. Default: 20.","maximum":250,"minimum":1,"type":"number"},"sort":{"description":"Use for sorting the result.","items":{"$ref":"#/components/schemas/OrderRecordSort"},"maxItems":1,"minItems":1,"type":"array"},"startAfterId":{"deprecated":true,"description":"The ID to start after. Deprecated, use `after` with the value provided in `pageInfo.endCursor` instead.","type":"string"}},"required":["query"],"title":"OrderRecordSearchPayload","type":"object","description":"OrderRecordSearchPayload"},"SearchOptions":{"properties":{"withTotal":{"description":"Set to true to include the total count of items in the search result.","type":"boolean"}},"title":"SearchOptions","type":"object","description":"SearchOptions"},"OrderRecordSearchQuery":{"properties":{"and":{"items":{"$ref":"#/components/schemas/OrderRecordSearchQuery"},"maxItems":500,"type":"array"},"consumer":{"allOf":[{"$ref":"#/components/schemas/OrderRecordConsumerFilter"}],"description":"Nested search by consumer"},"facilityName":{"allOf":[{"$ref":"#/components/schemas/StringFilter"}],"description":"Search by facilityName"},"lineItems":{"allOf":[{"$ref":"#/components/schemas/OrderRecordLineItemsListFilter"}],"description":"Nested list search by lineItems"},"or":{"items":{"$ref":"#/components/schemas/OrderRecordSearchQuery"},"maxItems":500,"type":"array"},"orderRecordDate":{"allOf":[{"$ref":"#/components/schemas/DateFilter"}],"description":"Search by orderRecordDate"},"origin":{"allOf":[{"$ref":"#/components/schemas/OrderRecordOriginFilter"}],"description":"Nested search by origin"},"payments":{"allOf":[{"$ref":"#/components/schemas/OrderRecordPaymentsListFilter"}],"description":"Nested list search by payments"},"tenantOrderRecordId":{"allOf":[{"$ref":"#/components/schemas/StringFilter"}],"description":"Search by tenantOrderRecordId"}},"title":"OrderRecordSearchQuery","type":"object","description":"OrderRecordSearchQuery"},"OrderRecordConsumerFilter":{"properties":{"addresses":{"allOf":[{"$ref":"#/components/schemas/OrderRecordConsumerAddressesListFilter"}],"description":"Nested list search by addresses"},"consumerId":{"allOf":[{"$ref":"#/components/schemas/StringFilter"}],"description":"Search by consumerId"}},"title":"OrderRecordConsumerFilter","type":"object","description":"OrderRecordConsumerFilter"},"OrderRecordConsumerAddressesListFilter":{"properties":{"contains":{"allOf":[{"$ref":"#/components/schemas/OrderRecordConsumerAddressesFilter"}],"description":"Contains returns if at least one entry matches"},"exists":{"description":"exists:false matches empty or absent lists; exists:true matches non-empty lists","type":"boolean"}},"title":"OrderRecordConsumerAddressesListFilter","type":"object","description":"OrderRecordConsumerAddressesListFilter"},"OrderRecordConsumerAddressesFilter":{"properties":{"companyName":{"allOf":[{"$ref":"#/components/schemas/StringFilter"}],"description":"Search by companyName"},"lastName":{"allOf":[{"$ref":"#/components/schemas/StringFilter"}],"description":"Search by lastName"}},"title":"OrderRecordConsumerAddressesFilter","type":"object","description":"OrderRecordConsumerAddressesFilter"},"StringFilter":{"properties":{"eq":{"maxLength":256,"type":"string"},"in":{"items":{"maxLength":256,"type":"string"},"maxItems":25,"type":"array"},"notEq":{"maxLength":256,"type":"string"},"notIn":{"items":{"maxLength":256,"type":"string"},"maxItems":25,"type":"array"}},"title":"StringFilter","type":"object","description":"StringFilter"},"OrderRecordLineItemsListFilter":{"properties":{"contains":{"allOf":[{"$ref":"#/components/schemas/OrderRecordLineItemsFilter"}],"description":"Contains returns if at least one entry matches"},"exists":{"description":"exists:false matches empty or absent lists; exists:true matches non-empty lists","type":"boolean"}},"title":"OrderRecordLineItemsListFilter","type":"object","description":"OrderRecordLineItemsListFilter"},"OrderRecordLineItemsFilter":{"properties":{"article":{"allOf":[{"$ref":"#/components/schemas/OrderRecordLineItemsArticleFilter"}],"description":"Nested search by article"}},"title":"OrderRecordLineItemsFilter","type":"object","description":"OrderRecordLineItemsFilter"},"OrderRecordLineItemsArticleFilter":{"properties":{"tenantArticleId":{"allOf":[{"$ref":"#/components/schemas/StringFilter"}],"description":"Search by tenantArticleId"}},"title":"OrderRecordLineItemsArticleFilter","type":"object","description":"OrderRecordLineItemsArticleFilter"},"DateFilter":{"properties":{"after":{"description":"Search using ISO‑8601 dates relative to today. Prefix with “–” for past dates. Results include events after the specified date. Example: “–P1D” for yesterday, “P1W” for next week.","maxLength":256,"type":"string"},"before":{"description":"Search using ISO‑8601 dates relative to today. Prefix with “–” for past dates. Results include events before the specified date. Example: “–P1D” for yesterday, “P1W” for next week.","maxLength":256,"type":"string"},"eq":{"format":"date-time","type":"string"},"gt":{"format":"date-time","type":"string"},"gte":{"format":"date-time","type":"string"},"lt":{"format":"date-time","type":"string"},"lte":{"format":"date-time","type":"string"},"notEq":{"format":"date-time","type":"string"}},"title":"DateFilter","type":"object","description":"DateFilter"},"OrderRecordOriginFilter":{"properties":{"cashierId":{"allOf":[{"$ref":"#/components/schemas/StringFilter"}],"description":"Search by cashierId"},"terminalId":{"allOf":[{"$ref":"#/components/schemas/StringFilter"}],"description":"Search by terminalId"}},"title":"OrderRecordOriginFilter","type":"object","description":"OrderRecordOriginFilter"},"OrderRecordPaymentsListFilter":{"properties":{"contains":{"allOf":[{"$ref":"#/components/schemas/OrderRecordPaymentsFilter"}],"description":"Contains returns if at least one entry matches"},"exists":{"description":"exists:false matches empty or absent lists; exists:true matches non-empty lists","type":"boolean"}},"title":"OrderRecordPaymentsListFilter","type":"object","description":"OrderRecordPaymentsListFilter"},"OrderRecordPaymentsFilter":{"properties":{"receiptNumber":{"allOf":[{"$ref":"#/components/schemas/StringFilter"}],"description":"Search by receiptNumber"},"transactionId":{"allOf":[{"$ref":"#/components/schemas/StringFilter"}],"description":"Search by transactionId"}},"title":"OrderRecordPaymentsFilter","type":"object","description":"OrderRecordPaymentsFilter"},"OrderRecordSort":{"properties":{"consumer":{"$ref":"#/components/schemas/OrderRecordConsumerSort"},"facilityCountry":{"enum":["ASC","DESC"],"type":"string"},"facilityName":{"enum":["ASC","DESC"],"type":"string"},"lineItems":{"$ref":"#/components/schemas/OrderRecordLineItemsSort"},"orderRecordDate":{"enum":["ASC","DESC"],"type":"string"},"origin":{"$ref":"#/components/schemas/OrderRecordOriginSort"},"payments":{"$ref":"#/components/schemas/OrderRecordPaymentsSort"},"pricing":{"$ref":"#/components/schemas/OrderRecordPricingSort"},"tenantOrderRecordId":{"enum":["ASC","DESC"],"type":"string"}},"title":"OrderRecordSort","type":"object","description":"OrderRecordSort"},"OrderRecordConsumerSort":{"properties":{"addresses":{"$ref":"#/components/schemas/OrderRecordAddressesSort"}},"title":"OrderRecordConsumerSort","type":"object","description":"OrderRecordConsumerSort"},"OrderRecordAddressesSort":{"properties":{"city":{"enum":["ASC","DESC"],"type":"string"},"companyName":{"enum":["ASC","DESC"],"type":"string"},"country":{"enum":["ASC","DESC"],"type":"string"},"firstName":{"enum":["ASC","DESC"],"type":"string"},"lastName":{"enum":["ASC","DESC"],"type":"string"},"postalCode":{"enum":["ASC","DESC"],"type":"string"}},"title":"OrderRecordAddressesSort","type":"object","description":"OrderRecordAddressesSort"},"OrderRecordLineItemsSort":{"properties":{"quantity":{"enum":["ASC","DESC"],"type":"string"}},"title":"OrderRecordLineItemsSort","type":"object","description":"OrderRecordLineItemsSort"},"OrderRecordOriginSort":{"properties":{"cashierId":{"enum":["ASC","DESC"],"type":"string"},"terminalId":{"enum":["ASC","DESC"],"type":"string"},"type":{"enum":["ASC","DESC"],"type":"string"}},"title":"OrderRecordOriginSort","type":"object","description":"OrderRecordOriginSort"},"OrderRecordPaymentsSort":{"properties":{"paymentMethod":{"enum":["ASC","DESC"],"type":"string"},"receiptNumber":{"enum":["ASC","DESC"],"type":"string"},"status":{"enum":["ASC","DESC"],"type":"string"},"transactionId":{"enum":["ASC","DESC"],"type":"string"}},"title":"OrderRecordPaymentsSort","type":"object","description":"OrderRecordPaymentsSort"},"OrderRecordPricingSort":{"properties":{"total":{"$ref":"#/components/schemas/OrderRecordTotalSort"}},"title":"OrderRecordPricingSort","type":"object","description":"OrderRecordPricingSort"},"OrderRecordTotalSort":{"properties":{"priceBreakdownTotal":{"enum":["ASC","DESC"],"type":"string"}},"title":"OrderRecordTotalSort","type":"object","description":"OrderRecordTotalSort"},"OrderRecordPaginatedResult":{"properties":{"orderRecords":{"items":{"$ref":"#/components/schemas/OrderRecord"},"type":"array"},"pageInfo":{"allOf":[{"$ref":"#/components/schemas/PageInfo"}],"description":"Pagination information for the search result."},"total":{"description":"The total number of items matching the search criteria. Only filled, if withTotal is set to true in the search options.","minimum":0,"type":"number"}},"required":["pageInfo","orderRecords"],"title":"OrderRecordPaginatedResult","type":"object","description":"OrderRecordPaginatedResult"},"OrderRecord":{"properties":{"anonymized":{"description":"Whether consumer data has been anonymized","type":"boolean"},"consumer":{"allOf":[{"$ref":"#/components/schemas/OrderRecordConsumer"}],"description":"Consumer information"},"created":{"description":"Creation timestamp","format":"date-time","type":"string"},"customAttributes":{"description":"Attributes that can be added to this entity. These attributes **cannot** be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.","nullable":true,"type":"object"},"deletionDate":{"description":"Date when the record will be deleted","format":"date-time","type":"string"},"facilityRef":{"description":"Reference to the facility","type":"string"},"gdprCleanupDate":{"description":"Date when GDPR cleanup will occur","format":"date-time","type":"string"},"id":{"description":"Unique identifier of the order record","type":"string"},"lastModified":{"description":"Last modification timestamp","format":"date-time","type":"string"},"lineItems":{"description":"Line items of the order record","items":{"$ref":"#/components/schemas/OrderRecordLineItem"},"maxItems":500,"type":"array"},"orderRecordDate":{"description":"Date of the order record","format":"date-time","type":"string"},"origin":{"allOf":[{"$ref":"#/components/schemas/OrderRecordPosOrigin"}],"description":"Origin of the order record","discriminator":{"mapping":{"POS":"#/components/schemas/OrderRecordPosOrigin"},"propertyName":"type"},"oneOf":[{"$ref":"#/components/schemas/OrderRecordPosOrigin"}]},"payments":{"description":"Payment information","items":{"$ref":"#/components/schemas/OrderRecordPayment"},"maxItems":100,"type":"array"},"pricing":{"allOf":[{"$ref":"#/components/schemas/OrderRecordPricing"}],"description":"Pricing information including calculated totals"},"tenantOrderRecordId":{"description":"Tenant-specific order record identifier","type":"string"},"version":{"description":"Version number for optimistic locking","type":"integer"}},"required":["orderRecordDate","facilityRef","lineItems","id","version","created","lastModified","anonymized","gdprCleanupDate","deletionDate"],"title":"OrderRecord","type":"object","description":"OrderRecord"},"OrderRecordConsumer":{"properties":{"addresses":{"description":"Addresses of the consumer","items":{"$ref":"#/components/schemas/OrderRecordAddress"},"maxItems":10,"type":"array"},"consumerId":{"description":"Consumer identifier","type":"string"},"email":{"description":"Email address of the consumer","type":"string"}},"title":"OrderRecordConsumer","type":"object","description":"OrderRecordConsumer"},"OrderRecordAddress":{"properties":{"additionalAddressInfo":{"description":"Additional address information","type":"string"},"city":{"description":"City","type":"string"},"companyName":{"description":"Company name","type":"string"},"country":{"description":"Country","type":"string"},"firstName":{"description":"First name","type":"string"},"houseNumber":{"description":"House number","type":"string"},"lastName":{"description":"Last name","type":"string"},"postalCode":{"description":"Postal code","type":"string"},"province":{"description":"Province or state","type":"string"},"street":{"description":"Street","type":"string"}},"title":"OrderRecordAddress","type":"object","description":"OrderRecordAddress"},"OrderRecordLineItem":{"properties":{"article":{"allOf":[{"$ref":"#/components/schemas/OrderRecordLineItemArticle"}],"description":"Article information"},"customAttributes":{"description":"Attributes that can be added to this entity. These attributes **cannot** be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.","nullable":true,"type":"object"},"id":{"description":"Unique identifier of the line item","type":"string"},"measurementUnitKey":{"description":"Measurement unit key","type":"string"},"quantity":{"description":"Quantity of the line item","type":"number"},"returnPolicy":{"allOf":[{"$ref":"#/components/schemas/OrderRecordLineItemReturnPolicy"}],"description":"Return policy information"},"warranty":{"allOf":[{"$ref":"#/components/schemas/OrderRecordLineItemWarranty"}],"description":"Warranty information"}},"required":["article","quantity","id"],"title":"OrderRecordLineItem","type":"object","description":"OrderRecordLineItem"},"OrderRecordLineItemArticle":{"properties":{"attributes":{"description":"Article attributes","items":{"$ref":"#/components/schemas/OrderRecordArticleAttributeItem"},"maxItems":100,"type":"array"},"tenantArticleId":{"description":"Tenant-specific article identifier","type":"string"},"title":{"description":"Title of the article","type":"string"}},"required":["tenantArticleId","attributes"],"title":"OrderRecordLineItemArticle","type":"object","description":"OrderRecordLineItemArticle"},"OrderRecordArticleAttributeItem":{"properties":{"valueLocalized":{"description":"Localized value of the attribute","type":"object"},"keyLocalized":{"description":"Localized key of the attribute","type":"object"},"category":{"description":"Category of the attribute. Supports both standard article attribute categories and pricing-specific categories.","enum":["descriptive","miscellaneous","pickingSequence","customs","insurance","shop","dimensions","carrierService","salesPrice","basePrice","tax","discount","surcharge","subtotalBeforeDiscounts","subtotalAfterDiscounts","finalUnitPrice","finalLineItemPrice"],"type":"string"},"key":{"description":"The key of the attribute","minLength":1,"type":"string"},"priority":{"description":"Priority of the attribute","type":"integer"},"type":{"description":"The type of the attribute","enum":["STRING","NUMBER","CURRENCY","BOOLEAN"],"type":"string"},"value":{"description":"The value of the attribute","minLength":1,"type":"string"}},"required":["key","value"],"title":"OrderRecordArticleAttributeItem","type":"object","description":"OrderRecordArticleAttributeItem"},"OrderRecordLineItemReturnPolicy":{"properties":{"isReturnable":{"description":"Whether the item is returnable","type":"boolean"},"returnWindowEndDate":{"description":"End date of the return window","format":"date-time","type":"string"}},"title":"OrderRecordLineItemReturnPolicy","type":"object","description":"OrderRecordLineItemReturnPolicy"},"OrderRecordLineItemWarranty":{"properties":{"warrantyPeriod":{"description":"Warranty period (e.g. ISO 8601 duration)","pattern":"^-?P(?:(\\d+W)|(\\d+Y)?(\\d+M)?(\\d+D)?(?:T(\\d+H)?(\\d+M)?(\\d+S)?)?)$","type":"string"},"warrantyStartDate":{"description":"Start date of the warranty","format":"date-time","type":"string"}},"title":"OrderRecordLineItemWarranty","type":"object","description":"OrderRecordLineItemWarranty"},"OrderRecordPosOrigin":{"properties":{"cashierId":{"description":"Cashier identifier","type":"string"},"terminalId":{"description":"Terminal identifier","type":"string"},"type":{"description":"Discriminator for POS origin","enum":["POS"],"type":"string"}},"required":["type"],"title":"OrderRecordPosOrigin","type":"object","description":"OrderRecordPosOrigin"},"OrderRecordPayment":{"properties":{"paymentMethod":{"description":"Payment method identifier","type":"string"},"receiptNumber":{"description":"Receipt number","type":"string"},"status":{"description":"Status of the payment","enum":["COMPLETED","FAILED","CANCELLED","REFUNDED","PARTIALLY_REFUNDED"],"type":"string"},"taxValue":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"Tax portion of the payment value"},"transactionId":{"description":"Transaction identifier","type":"string"},"value":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"Payment value"}},"required":["value"],"title":"OrderRecordPayment","type":"object","description":"OrderRecordPayment"},"OrderRecordMonetaryValue":{"properties":{"currency":{"description":"ISO 4217 currency code","enum":["AED","AFN","ALL","AMD","ANG","AOA","ARS","AUD","AWG","AZN","BAM","BBD","BDT","BGN","BHD","BIF","BMD","BND","BOB","BOV","BRL","BSD","BTN","BWP","BYN","BZD","CAD","CDF","CHE","CHF","CHW","CLF","CLP","CNY","COP","COU","CRC","CUC","CUP","CVE","CZK","DJF","DKK","DOP","DZD","EGP","ERN","ETB","EUR","FJD","FKP","GBP","GEL","GHS","GIP","GMD","GNF","GTQ","GYD","HKD","HNL","HTG","HUF","IDR","ILS","INR","IQD","IRR","ISK","JMD","JOD","JPY","KES","KGS","KHR","KMF","KPW","KRW","KWD","KYD","KZT","LAK","LBP","LKR","LRD","LSL","LYD","MAD","MDL","MGA","MKD","MMK","MNT","MOP","MRU","MUR","MVR","MWK","MXN","MXV","MYR","MZN","NAD","NGN","NIO","NOK","NPR","NZD","OMR","PAB","PEN","PGK","PHP","PKR","PLN","PYG","QAR","RON","RSD","RUB","RWF","SAR","SBD","SCR","SDG","SEK","SGD","SHP","SLE","SOS","SRD","SSP","STN","SVC","SYP","SZL","THB","TJS","TMT","TND","TOP","TRY","TTD","TWD","TZS","UAH","UGX","USD","USN","UYI","UYU","UYW","UZS","VED","VES","VND","VUV","WST","XAF","XAG","XAU","XBA","XBB","XBC","XBD","XCD","XDR","XOF","XPD","XPF","XPT","XSU","XTS","XUA","XXX","YER","ZAR","ZMW","ZWL"],"type":"string"},"decimalPlaces":{"description":"Number of decimal places (defaults to currency standard)","type":"integer"},"value":{"description":"The monetary value as integer","type":"integer"}},"required":["value","currency"],"title":"OrderRecordMonetaryValue","type":"object","description":"OrderRecordMonetaryValue"},"OrderRecordPricing":{"properties":{"discounts":{"description":"Discounts applied to the order","items":{"$ref":"#/components/schemas/OrderRecordDiscount"},"maxItems":100,"type":"array"},"fees":{"description":"Fees applied to the order","items":{"$ref":"#/components/schemas/OrderRecordFee"},"maxItems":100,"type":"array"},"taxes":{"description":"Tax breakdown","items":{"$ref":"#/components/schemas/OrderRecordTax"},"maxItems":100,"type":"array"},"total":{"allOf":[{"$ref":"#/components/schemas/OrderRecordPricingTotal"}],"description":"Calculated totals"}},"title":"OrderRecordPricing","type":"object","description":"OrderRecordPricing"},"OrderRecordDiscount":{"properties":{"nameLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleStringConstrained"}],"description":"Localized name of the discount"},"code":{"description":"Discount code","type":"string"},"context":{"description":"Context of the discount","type":"string"},"name":{"description":"Name of the discount","type":"string"},"percentage":{"description":"Discount percentage (0-100). Required when type is PERCENTAGE.","type":"number"},"tenantDiscountId":{"description":"Tenant-specific discount identifier","type":"string"},"type":{"description":"Discount type","type":"string"},"value":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"Discount value. Required when type is ABSOLUTE."}},"title":"OrderRecordDiscount","type":"object","description":"OrderRecordDiscount"},"LocaleStringConstrained":{"properties":{},"title":"LocaleStringConstrained","type":"object","description":"LocaleStringConstrained"},"OrderRecordFee":{"properties":{"name":{"description":"Name of the fee","type":"string"},"value":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"Fee value"}},"title":"OrderRecordFee","type":"object","description":"OrderRecordFee"},"OrderRecordTax":{"properties":{"ratePercent":{"description":"Tax rate as a percentage","format":"float","type":"number"},"scope":{"description":"Tax scope","type":"string"},"taxableValue":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"The taxable base value"},"type":{"description":"Tax type identifier","type":"string"},"value":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"Tax value"}},"required":["value"],"title":"OrderRecordTax","type":"object","description":"OrderRecordTax"},"OrderRecordPricingTotal":{"properties":{"priceBreakdown":{"allOf":[{"$ref":"#/components/schemas/OrderRecordTotals"}],"description":"Calculated price breakdown"}},"title":"OrderRecordPricingTotal","type":"object","description":"OrderRecordPricingTotal"},"OrderRecordTotals":{"properties":{"subTotal":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"Subtotal before discounts, taxes, and fees","nullable":true,"type":"object"},"total":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"Grand total","nullable":true,"type":"object"},"totalDiscounts":{"allOf":[{"$ref":"#/components/schemas/OrderRecordTotalDiscounts"}],"description":"Total discounts applied, with breakdown by source","nullable":true,"type":"object"},"totalFees":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"Total fees","nullable":true,"type":"object"},"totalLineItemSurcharges":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"Total line item surcharges applied","nullable":true,"type":"object"},"totalTaxes":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"Total taxes","nullable":true,"type":"object"}},"required":["subTotal","totalDiscounts","totalLineItemSurcharges","totalTaxes","totalFees","total"],"title":"OrderRecordTotals","type":"object","description":"OrderRecordTotals"},"OrderRecordTotalDiscounts":{"properties":{"breakdown":{"allOf":[{"$ref":"#/components/schemas/OrderRecordDiscountBreakdown"}],"description":"Total discounts broken down by source"},"value":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"Aggregate total discounts applied","nullable":true,"type":"object"}},"required":["value","breakdown"],"title":"OrderRecordTotalDiscounts","type":"object","description":"OrderRecordTotalDiscounts"},"OrderRecordDiscountBreakdown":{"properties":{"lineItemDiscounts":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"Discounts originating from line items","nullable":true,"type":"object"},"orderDiscounts":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"Discounts applied at order level","nullable":true,"type":"object"}},"required":["lineItemDiscounts","orderDiscounts"],"title":"OrderRecordDiscountBreakdown","type":"object","description":"OrderRecordDiscountBreakdown"},"PageInfo":{"properties":{"endCursor":{"description":"The cursor to use to fetch the next page of items. Use with parameter `after`.","type":"string"},"hasNextPage":{"description":"If true, there are more items after the current page.","type":"boolean"},"hasPreviousPage":{"description":"If true, there are more items before the current page.","type":"boolean"},"startCursor":{"description":"The cursor to use to fetch the previous page of items.","type":"string"}},"required":["hasNextPage","hasPreviousPage","startCursor","endCursor"],"title":"PageInfo","type":"object","description":"PageInfo"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/orderrecords/search":{"post":{"deprecated":false,"description":"This part of the API is in Beta status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />Search for OrderRecord","operationId":"searchOrderRecord","parameters":[],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderRecordSearchPayload"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderRecordPaginatedResult"}}},"description":"Your search result"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"}},"summary":"List order records (search)","tags":["Order records"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.fulfillmenttools.com/documentation/apis/api-reference/order-records.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
